Subject: [PATCH v5 0/2] reentrancy in the common clk framework

From: [email-masked] (Laurent Pinchart)
Date: Thu, 28 Mar 2013 11:44:22 +0100

Hi Mike,

On Wednesday 27 March 2013 21:45:56 Mike Turquette wrote:
> This fifth attempt at allowing calls to the clk api to reenter splits
> the last patch into two parts.  The first patch abstracts out the
> locking details into some helper functions and converts all of the
> direct calls to the mutex and spinlock api to use these helpers.
> 
> The second patch introduces the reentrancy logic into these helper
> functions.  Fundamentally the reentrancy logic hasn't changed since v4,
> but fixing casting bugs, removing unnecessary barriers and better design
> & beautification separate this approach from the last one.
> 
> Changes tested on top of the latest clk-next branch with an OMAP4430
> Panda board.
> 
> Mike Turquette (2):
>   clk: abstract locking out into helper functions
>   clk: allow reentrant calls into the clk framework
> 
>  drivers/clk/clk.c |  136 +++++++++++++++++++++++++++++++++++---------------
>  1 file changed, 98 insertions(+), 38 deletions(-)

For the whole patch set,

Tested-by: Laurent Pinchart <[email-masked]>

on a DM3730.

-- 
Regards,

Laurent Pinchart